> For the complete documentation index, see llms.txt.
Skip to main content

Check out Port for yourself ➜ 

Update an action run

PATCH 

/v1/actions/runs/:run_id

This route allows you to update an action run's details. This can be used to update the run's status & label, and add links to it (e.g. external logs of the job runner).

A run that is waiting for approval can only be approved or declined (using the approval route), or cancelled by setting its status to FAILURE. Only the user who created the run or an approver of the action can cancel it. Any other status change on a waiting run returns a 422 error.

To learn more about action runs, check out the documentation.

Request​

Responses​

OK